Intron Connect
Catalog

Required-route spec for the customer gateway (no Admin call)

GET
/api/v1/catalog/{id}/ingress

Authorization

bearer-jwt
AuthorizationBearer <token>

OIDC Bearer JWT. Obtain via OAuth2 Authorization Code or client credentials.

In: header

Path Parameters

id*string

Query Parameters

version?string

Response Body

application/json

curl -X GET "https://example.com/api/v1/catalog/string/ingress"
{  "artifactId": "string",  "gatewayProvider": "string",  "applied": true,  "requiredRoutes": [    {      "path": "string",      "methods": [        "string"      ],      "auth": "string",      "gateway": {        "enabled": true,        "rateLimit": {          "count": 0,          "windowSeconds": 0,          "key": "string"        },        "cors": {          "allowOrigins": "string"        },        "timeout": {          "connectSeconds": 0,          "readSeconds": 0,          "sendSeconds": 0        }      }    }  ]}